Bug 853991 - RFE: _DispatchMethod and or KBase_FromArgs could create instances from EmbeddedInstace arguments.
RFE: _DispatchMethod and or KBase_FromArgs could create instances from Embedd...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: konkretcmpi (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Novacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-03 09:52 EDT by Roman Rakus
Modified: 2016-11-30 19:31 EST (History)
3 users (show)

See Also:
Fixed In Version: konkretcmpi-0.9.0-7.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-09 21:23:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roman Rakus 2012-09-03 09:52:28 EDT
Description of problem:
Now generated code include only string type argument and thus it is not easy to create instance from it. It would be much better if konkret will automatically create such instance from EmbeddedInstance type. However this will add dependency on libcmpiutil. The method cu_get_inst_arg should create instance from argument.
Comment 1 Fedora Update System 2013-06-27 09:08:17 EDT
konkretcmpi-0.9.0-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/konkretcmpi-0.9.0-7.fc19
Comment 2 Fedora Update System 2013-06-27 09:09:18 EDT
konkretcmpi-0.9.0-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/konkretcmpi-0.9.0-7.fc18
Comment 3 Radek Novacek 2013-06-27 09:10:24 EDT
KonkretCMPI now uses KInstance directly when there is EmbeddedInstance method argument.
Comment 4 Fedora Update System 2013-06-27 11:46:03 EDT
Package konkretcmpi-0.9.0-7.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing konkretcmpi-0.9.0-7.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11819/konkretcmpi-0.9.0-7.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-07-09 21:23:48 EDT
konkretcmpi-0.9.0-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-07-09 21:29:34 EDT
konkretcmpi-0.9.0-7.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.